petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscMax

Returns maxium of two numbers

### Synopsis

    #include <petscmath.h>
    type max PetscMax(type v1,type v2)

Not Collective

### Input Parameter

| v1 | - first value to find maximum of
| v2 | - second value to find maximum of

Notes: type can be integer or floating point value

### See Also

PetscMin(), PetscClipInterval(), PetscAbsInt(), PetscAbsReal(), PetscSqr()

Level:beginner
Location:include/petscmath.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex22.c.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/complementarity/examples/tutorials/blackscholes.c.html